program trinome
  implicit none
  real a, b, c
  real delta, r_delta, x1, x2

             ! Valorisation des coefficients.
  a = 3.; b = 7.; c = -11.

                 ! a doit tre non nul.
  if ( a == 0. ) stop "a doit tre non nul."

                 ! calcul du dterminant.
  delta = b*b - 4*a*c
              ! cas du dterminant ngatif.
  if( delta < 0. ) stop "Pas de racine relle."

                 ! cas du dterminant nul.
  if ( delta == 0. ) then
    x1 = -b/(2*a); x2 = x1
  else          ! cas du dterminant positif.
    r_delta = sqrt( delta )
    x1 = (-b - r_delta)/(2*a); x2 = (-b + r_delta)/(2*a)
  end if

                  ! Impression des racines.
  print *,"x1 = ", x1, ", x2 = ", x2
end program trinome
