program produit_matrice
  implicit none
  integer, parameter   :: n = 10, m = 5, p = 3
  real, dimension(n,m) :: a
  real, dimension(m,p) :: b
  real, dimension(n,p) :: c
  integer              :: i,j,k

           ! Valorisation des matrices A et B.
  data         ((a(i,j),j=1,m),i=1,n)/ &
         0.00, 0.38, 0.42, 0.91, 0.25, &
         0.13, 0.52, 0.69, 0.76, 0.98, &
         0.76, 0.83, 0.59, 0.26, 0.72, &
         0.46, 0.03, 0.93, 0.05, 0.75, &
         0.53, 0.05, 0.85, 0.74, 0.65, &
         0.22, 0.53, 0.53, 0.33, 0.07, &
         0.05, 0.67, 0.09, 0.63, 0.63, &
         0.68, 0.01, 0.65, 0.76, 0.88, &
         0.68, 0.38, 0.42, 0.99, 0.27, &
         0.93, 0.07, 0.70 ,0.37, 0.44/

  data ((b(i,j),j=1,p),i=1,m)/ &
           0.76, 0.16, 0.9047, &
           0.47, 0.48, 0.5045, &
           0.23, 0.89, 0.5163, &
           0.27, 0.90, 0.3190, &
           0.35, 0.06, 0.9866/

                 ! Produit de matrice.
  do i=1,n
    do j=1,p
      c(i,j) = 0.
      do k=1,m
         c(i,j) = c(i,j) + a(i,k) * b(k,j)
      end do
    end do
  end do

             ! Impression de la matrice c.
  do i=1,n
    print*,c(i,:)
  end do

             ! criture de la matrice c dans un fichier.
  open( unit=1,           file="exo6.matrice", &
        status="replace", form="unformatted",  &
        action="write" )
  write( 1 ) c
  close( unit = 1)
end program produit_matrice
