program ecriture_musiciens
  integer, parameter        :: taille_max=80
  character(len=taille_max) :: mus
  integer                   :: ios_mus
  integer                   :: numrec

!  Ouverture du fichier des musiciens
!  ainsi que d'un fichier en criture
!   accs direct dans lequel on
!  va recopier le fichier prcdent.

  open( unit=1,           file="musiciens",     &
        form="formatted", status="old",         &
        action="read",    position="rewind" )
  open( unit=2,           file="musiciens.txt", &
        status="replace",                       &
        form="formatted", access="direct",      &
        action="write",   recl=taille_max )

! On effectue la copie.
  numrec = 0
  read( unit=1, fmt='(a)', iostat=ios_mus ) mus
  do while ( ios_mus == 0 )
    numrec = numrec + 1
    write( unit=2, fmt='(a)', rec=numrec) mus
    read ( unit=1, fmt='(a)', iostat=ios_mus ) mus
  end do
  close( unit=1 )
  close( unit=2 )
  if ( ios_mus > 0 ) print *,"Erreur lecture sur l'unit 1."
end program ecriture_musiciens
