program triabulle
  implicit none
  integer, parameter :: croissant=1, decroissant=2, n=10
  real, dimension(n) :: tab
  real               :: temp
  logical            :: tri_termine, expr1, expr2
  integer            :: sens, i

              ! Valorisation du vecteur.
  data tab/0.76, 0.38, 0.42, 0.91, 0.25, &
           0.13, 0.52, 0.69, 0.76, 0.98/
  do sens=croissant, decroissant            ! Sens du tri
    do                                      ! Tri
     tri_termine = .true.
     do i=2,n
       expr1 = sens == croissant   .and. tab(i-1) > tab(i)
       expr2 = sens == decroissant .and. tab(i-1) < tab(i)
       if (expr1 .or. expr2) then
         tri_termine = .false.
         temp = tab(i-1); tab(i-1) = tab(i); tab(i) = temp
       end if
     end do
     if (tri_termine) exit
    end do
            ! Impression du vecteur tri.
    if (sens == croissant)   print*, "Tri croissant "
    if (sens == decroissant) print*, "Tri dcroissant "
    print*, tab
  end do
end program triabulle
