program triabulle
  implicit none
  integer, parameter :: croissant=1, decroissant=2, n=10
  real, dimension(n) :: tab
  real               :: temp
  logical            :: expr1, expr2
  integer            :: sens, i, j

              ! Valorisation du vecteur.
  data tab/0.76, 0.38, 0.42, 0.91, 0.25, &
           0.13, 0.52, 0.69, 0.76, 0.98/

  do sens=croissant, decroissant            ! sens du tri
    do i=n-1,1,-1                           ! tri
     do j=1,i
       expr1 = sens == croissant   .and. tab(j+1) > tab(j)
       expr2 = sens == decroissant .and. tab(j+1) < tab(j)
       if (expr1 .or. expr2) then
         temp     = tab(j+1)
         tab(j+1) = tab(j)
         tab(j)   = temp
       end if
     end do
    end do
            ! Impression du vecteur tri.
    if (sens == croissant)   print*, "Tri croissant "
    if (sens == decroissant) print*, "Tri dcroissant "
    print '(*(f5.2))', tab     ! format fortran 2008
  end do
end program triabulle
