program musiciens
  implicit none
  integer, parameter   :: lrecl=80
  character(len=lrecl) :: mus
  integer              :: ios_mus, ios_stdin
  integer              :: numrec, rang

! Ouverture du fichier des musiciens
! ainsi que d'un fichier temporaire
!  accs direct dans lequel on
! va recopier le fichier prcdent.
  open( unit=1,             file="musiciens",   &
        form="formatted",   status="old",       &
!       pad='no',                               &
        action="read",      position="rewind" )
  open( unit=2,             status="scratch",   &
        form="formatted",   access="direct",    &
        action="readwrite", recl=lrecl )

! On effectue la copie.
  numrec = 0
  do
    read( unit=1, fmt='(a)', END=1 ) mus
    numrec = numrec + 1
    write( unit=2, rec=numrec, fmt='(a)' ) mus
  end do
1 close( unit=1 )

! On demande un rang de musicien.
  do
    print *,"Entrez le rang d'un musicien :"
    read( unit=*, fmt=*, iostat=ios_stdin ) rang
    if ( ios_stdin > 0 ) then
      print '(a,/)',"Erreur lors de la saisie."
      cycle
    end if
    if ( ios_stdin < 0 ) exit
    read( unit=2, rec=rang, fmt='(a)', iostat=ios_mus ) mus
    if ( ios_mus /= 0 ) then
      print *,"Le musicien de rang ", &
               rang, "n'existe pas"
    else
      print '("musicien de rang",i3," ==> ", a)', &
             rang,trim(mus)
    end if
  end do
  close( unit=2 )
end program musiciens
